Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.portlet
Class ModelAndViewDefiningException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.portlet.PortletException
                  org.springframework.web.portlet.ModelAndViewDefiningException

All Implemented Interfaces:
  Serializable

    public class ModelAndViewDefiningException

extends javax.portlet.PortletException

Exception to be thrown on error conditions that should forward to a specific view with a specific model.

Can be thrown at any time during handler processing. This includes any template methods of pre-built controllers. For example, a form controller might abort to a specific error page if certain parameters do not allow to proceed with the normal workflow.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`ModelAndViewDefiningException(ModelAndView modelAndView)` Create new ModelAndViewDefiningException with the given ModelAndView, typically representing a specific error page.

Method Summary
`ModelAndView` | `getModelAndView()` Return the ModelAndView that this exception contains for forwarding to.

Methods inherited from class javax.portlet.PortletException
`getCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelAndViewDefiningException

    public ModelAndViewDefiningException(ModelAndView modelAndView)

  Create new ModelAndViewDefiningException with the given ModelAndView, typically representing a specific error page.

  Parameters:
    `modelAndView` - ModelAndView with view to forward to and model to expose

Method Detail

### getModelAndView

    public ModelAndView getModelAndView()

  Return the ModelAndView that this exception contains for forwarding to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.